# Notes / Warning :
# - this package is not prefixable
# - to update official patches, aka SOURCE4, see README.mga in SOURCE4

%define url ftp://ftp.vim.org/pub/vim/unix/
%define official_ptchlvl 762
%define rversion	7.3

%define perl_version %(rpm -q --qf '%%{epoch}:%%{version}' perl)
%define python_version %(rpm -q --qf '%%{epoch}:%%{version}' python)
%define ruby_version %(rpm -q --qf '%%{epoch}:%%{version}' ruby)

# Should we build X11 gui
%define buildgui 1

%{?_with_gui:%global buildgui 1}
%{?_without_gui:%global buildgui 0}

%define title       VI editor
%define longtitle   All-purpose text editor

Name:           vim
Version:        %{rversion}.%{official_ptchlvl}
Release:        %mkrel 5
Summary:        VIsual editor iMproved
Url:            http://www.vim.org/
License:        Charityware
Group:          Editors
Source0:        %{url}/%{name}-%{rversion}.tar.bz2
# read README.mga prior updating official patches:
Source3:	README.mga
Source4:        vim-%{rversion}.%{official_ptchlvl}-patches.tar.xz
# http://vim.sourceforge.net/scripts/script.php?script_id=98
Source5:        vim-spec-3.0.bz2
Source6:        http://trific.ath.cx/Ftp/vim/syntax/dhcpd.vim
# from apparmor-utils package
Source7:        apparmor.vim
Source8:        cfengine.vim
Source9:        nagios.vim
# icon rendering is ugly in GNOME3, so, adding a svg icon
Source10:	gvim.svg
# MDK patches
Patch0:         vim-7.2-vimrc_nosetmouse.patch
Patch2:         vim-5.6a-paths.patch
Patch3:         vim-6.4-rpm-spec-syntax.patch
Patch8:         vim-6.0af-man-path.patch
Patch10:        xxd-locale.patch
Patch20:        vimrc_hebrew.patch
Patch22:        vim-6.1-fix-xterms-comments.patch
Patch23:        vim-6.3-remove-docs.patch
Patch24:        vim-6.1-outline-mode.patch
Patch25:        vim-6.1-xterm-s-insert.patch
Patch26:        vim-7.0-changelog-mode.patch
Patch27:        vim-6.1-rpm42.patch
Patch28:        vim-7.3-po-mode.patch
Patch30:        vim-7.0-add-dhcpd-syntax.patch
Patch31:	vim70-CVE-2007-2438.patch
Patch33:	vim-7.1.314-CVE-2009-0316-debian.patch
Patch34:        vim-7.3.531-perl-global-prototypes.patch

# Fedora patches
Patch100:  vim-7.0-fortify_warnings-1.patch
Patch101:  vim-7.3-fstabsyntax.patch

BuildRequires:  python-devel
BuildRequires:  ruby-devel
BuildRequires:  perl-devel
BuildRequires:  termcap-devel
BuildRequires:  acl-devel
%if %{buildgui}
BuildRequires:  libgnomeui2-devel ncurses-devel
BuildRequires:  libxt-devel
BuildRequires:  tcl
BuildRequires:  tcl-devel
%endif

%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

%package common
Summary:    The common files needed by any version of the VIM editor
Group:      Editors
Requires(pre):      coreutils
Requires(post):     coreutils
Requires(preun):    coreutils
Requires(postun):   coreutils

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

%package minimal
Summary:    A minimal version of the VIM editor
Group:      Editors
Provides:   vim
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-minimal package
includes a minimal version of VIM, which is installed into /bin/vi for use
when only the root partition is present.

%package enhanced
Summary:    A version of the VIM editor which includes recent enhancements
Group:      Editors
Requires:   vim-common >= %{version}-%{release}
Requires:   perl-base = %{perl_version}
Obsoletes:  vim-color
Provides:   vim
Provides:   vim-color
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-enhanced package
contains a version of VIM with extra, recently introduced features like
Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the VIM
editor which includes recently added enhancements like interpreters for the
Python and Perl scripting languages.  You'll also need to install the
vim-common package.

%if %{buildgui}
%package X11
Summary:    The VIM version of the vi editor for the X Window System
Group:      Editors
Provides:   vim
Requires:   vim-common >= %{version}-%{release}
Requires:   perl-base = %{perl_version}
Requires(post):     desktop-file-utils
Requires(postun):   desktop-file-utils

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more. VIM-X11 is a version of the
VIM editor which will run within the X Window System.  If you install this
package, you can run VIM as an X application with a full GUI interface and
mouse support.

Install the vim-X11 package if you'd like to try out a version of vi with
graphics and mouse capabilities.  You'll also need to install the
vim-common package.
%endif

%define localedir %{buildroot}%{_datadir}/locale/

%prep
%setup -q -n vim73 -a4
# spec plugin
rm -f runtime/doc/pi_spec.txt
rm -f runtime/ftpplugin/spec.vim
tar xfj %{SOURCE5} -C runtime
cp -a %{SOURCE6} runtime/syntax/
cp -a %{SOURCE7} runtime/syntax/
cp -a %{SOURCE8} runtime/syntax/
cp -a %{SOURCE9} runtime/syntax/
#official patches
#for i in vim-%version-patches/%{rversion}*; do
#echo $i; echo $i 2>&1;
#    patch -p0 -s < $i || { echo $i; exit 1; }
#done

#mdk patches
%patch0 -p1 -b .vimrc_nosetmouse
%patch2 -p1
%patch3 -p0 -b .spec
%patch8 -p1 -b .manpath
%patch10 -p1 -b .xxdloc
%patch20 -p1 -b .warly
%patch22 -p0
%patch23 -p0 -b .doc
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p1
%patch30 -p0
%patch33 -p1 -b .security
%patch34 -p1

# Fedora patches
%patch100 -p1
%patch101 -p1

perl -pi -e 's|SYS_VIMRC_FILE "\$VIM/vimrc"|SYS_VIMRC_FILE "%_sysconfdir/vim/vimrc"|' src/os_unix.h
perl -pi -e 's|SYS_GVIMRC_FILE "\$VIM/gvimrc"|SYS_GVIMRC_FILE "%_sysconfdir/vim/gvimrc"|' src/os_unix.h
# disable command echo
for i in runtime/{gvimrc_example.vim,vimrc_example.vim}; do
    perl -pi -e 's!^set showcmd!set noshowcmd!' $i
done
perl -pi -e 's|\Qsvn-commit.*.tmp\E|svn-commit*.tmp|'       ./runtime/filetype.vim

%build
# ensure xxd works with big files:
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64"

%if %{buildgui}
# First build: gvim
LOCALEDIR=%{localedir} ./configure --prefix=%{_prefix} \
--enable-pythoninterp \
--enable-perlinterp \
--enable-rubyinterp \
--enable-tclinterp \
--with-features=huge \
--enable-acl --with-x=yes --enable-gui=gnome2 --exec-prefix=%{_prefix}/X11R6 \
--enable-gtk2-check \
--enable-multibyte --enable-xim --enable-fontset --mandir=%{_mandir} \
--libdir=%{_libdir} --with-compiledby="%packager"

echo "#define MAX_FEAT 1" >> src/config.h
echo "#define FEAT_GUI" >> src/config.h
# workaround buggy build system:
perl -pi -e 's!/usr/include long!/usr/include !' src/auto/config.mk

%make
mv src/vim src/gvim
make -C src clean
%endif

# Second build: vim-enhanced
./configure --prefix=%{_prefix} \
--enable-acl --enable-rubyinterp --enable-tclinterp --enable-pythoninterp --enable-perlinterp --with-features=huge \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --exec-prefix=%{_prefix}

%make
mv src/vim src/vim-enhanced
make -C src/ clean

# Third build: vim-minimal
./configure  --prefix=%{_prefix} \
--with-features=tiny --disable-tclinterp --disable-cscope --disable-multibyte \
--disable-hangulinput --disable-xim --disable-fontset --disable-gui \
--disable-acl --disable-pythoninterp --disable-perlinterp \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --exec-prefix=%{_prefix} --with-tlib=termcap --disable-gpm

%make
cp src/vim src/vim-minimal
%make -C src

cp -al runtime/doc doc
# apply os_doc.diff
pushd doc
rm -f *.1
rm -f os_{390,dos,msdos,risc,win32,amiga,mac,os2,beos,mint,qnx,vms}.txt
rm -f gui_{w16,w32}.txt
rm -f vim2html.pl Makefile *awk
popd

# britton support
ln -s tutor.fr runtime/tutor/tutor.br
ln -s menu_fr_fr.iso_8859-15.vim runtime/lang/menu_br

%install
#[ ! -e mandriva ] && mv vim-%version-patches mandriva

perl -pi -e 's!LOCALEDIR=\$\(DEST_LANG\)!LOCALEDIR=\$(DESTDIR)\$\(prefix\)/share/locale!g' src/Makefile

mkdir -p %{buildroot}{/bin,%{_bindir},%{_datadir}/{vim,locale},%{_mandir}/man1,%{localedir}}
%makeinstall_std VIMRTDIR=""


make -C src installmacros prefix=%{buildroot}%{_prefix} VIMRTDIR=""

# fix unreadable files:
chmod a+r runtime/{autoload/{tar,netrw}.vim,doc/pi_{netrw,tar}.txt}

%if %{buildgui}
mkdir -p %{buildroot}%{_bindir}
install -s -m 755 src/gvim %{buildroot}%{_bindir}
%endif

install -s -m 755 src/vim-enhanced %{buildroot}%{_bindir}
install -s -m 755 src/vim-minimal %{buildroot}/bin/vim-minimal

cd %{buildroot}
rm -f ./bin/rvim
rm -f ./usr/bin/rview ./usr/bin/rvim ./usr/bin/view
for i in ex vimdiff; do
    ln -sf vim-enhanced ./usr/bin/$i
done
rm -f ./usr/man/man1/rvim.*
rm -f ./usr/share/man/man1/evim.*
%if %{buildgui}
ln -sf gvim ./usr/bin/gvimdiff
ln -sf gvim ./usr/bin/vimx
%endif
rm -f ./usr/share/vim/*/cmake.vim
cd -

# installing man pages
for i in %{buildroot}%{_mandir}/man1/{vi,rvi}; do
    cp %{buildroot}%{_mandir}/man1/vim.1 $i.1
done

%if %{buildgui}
cp %{buildroot}%{_mandir}/man1/vim.1 %{buildroot}%{_mandir}/man1/gvim.1
%endif

ln -sf vimrc_example.vim %{buildroot}/usr/share/vim/vimrc

cd %{buildroot}/%{_prefix}/share/vim/tools
# i need to make a choice :(.
rm -f vim132
perl -p -i -e 's|#!/usr/bin/nawk|#!/usr/bin/gawk|' mve.awk
perl -p -i -e 's|#!/usr/local/bin/perl|#!/usr/bin/perl|' *.pl
perl -p -i -e 's|#!/usr/gnu/bin/perl|#!/usr/bin/perl|' *
cd -

# Be short-circuit aware :
ln -f runtime/macros/README.txt README_macros.txt
ln -f runtime/tools/README.txt README_tools.txt
perl -p -i -e "s|#!/usr/local/bin/perl|#!/usr/bin/perl|" runtime/doc/*.pl

# installing the menu icons & entry
%if %{buildgui}
install -D -p -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gvim.svg

# menu entry
install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/%{name}-X11.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{longtitle}
Exec=gvim -f
Icon=gvim
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;TextEditor;Utility;
MimeType=text/plain;
EOF

# gvim and fontset (from Pablo) 2001/03/19
echo 'set guifontset=-*-fixed-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-m-*-*-*,*' > %{buildroot}%{_datadir}/vim/gvimrc
%endif

# fix the paths in the man pages
for i in %{buildroot}/usr/share/man/man1/*.1; do
    perl -p -i -e "s|%{buildroot}||" $i
done

# prevent including twice the doc
rm -fr %{buildroot}/usr/share/vim/doc
ln -sf ../../../%{_defaultdocdir}/%{name}-common/doc %{buildroot}/usr/share/vim/doc

# symlink locales in right place so that %find_land put needed %lang:
# see %pre common why this is needed
pushd %{buildroot}/%{_datadir}/vim/lang
    ln -s ../../locale/* .
popd

%{find_lang} %{name}

find %{buildroot}%{_datadir}/vim/ -name "tutor.*" | egrep -v 'tutor(|\.vim)$' |
 sed -e "s^%{buildroot}^^" -e 's!^\(.*tutor.\)\(..\)!%lang(\2) \1\2!g' >> %{name}.lang

find %{buildroot}%{_datadir}/vim/ -name "menu*" |
 sed -e "s^%{buildroot}^^" -e 's!^\(.*menu_\)\(..\)\(_\)!%lang(\2) \1\2\3!g' \
  -e 's!^\(.*menu\)\(_chinese\)!%lang(zh) \1\2!g' \
  -e 's!^\(.*menu\)\(_czech_\)!%lang(cs) \1\2!g' \
  -e 's!^\(.*menu\)\(_french\)!%lang(fr) \1\2!g' \
  -e 's!^\(.*menu\)\(_german\)!%lang(de) \1\2!g' \
  -e 's!^\(.*menu\)\(_japanes\)!%lang(ja) \1\2!g' \
  -e 's!^\(.*menu\)\(_polish\)!%lang(pl) \1\2!g' \
  -e 's!^\(.*menu\)\(_slovak\)!%lang(sk) \1\2!g' \
  -e 's!^\(.*menu\)\(_spanis\)!%lang(es) \1\2!g' \
  >> %{name}.lang
rm -f %{buildroot}%{_bindir}/vim

mkdir -p %{buildroot}%{_sysconfdir}/vim/
MESSAGE='"Place your systemwide modification here.\n"%{_datadir}/vim/ files will be overwritten on update\n'
echo -e "$MESSAGE\nsource %_datadir/vim/vimrc" > %{buildroot}/%{_sysconfdir}/vim/vimrc
%if %{buildgui}
echo -e "$MESSAGE\nsource %_datadir/vim/gvimrc" > %{buildroot}/%{_sysconfdir}/vim/gvimrc
%endif

%post minimal
update-alternatives --install /bin/vi vi /bin/vim-minimal 10 \
    --slave /bin/view view /bin/vim-minimal \
    --slave /bin/ex ex /bin/vim-minimal \
    --slave /bin/rvi rvi /bin/vim-minimal \
    --slave /bin/rview rview /bin/vim-minimal
update-alternatives --install /bin/vim vim /bin/vim-minimal 10 \
    --slave /bin/rvim rvim /bin/vim-minimal

%postun minimal
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /bin/vim-minimal
update-alternatives --remove vim /bin/vim-minimal

%triggerpostun minimal -- vim-minimal < 7.3
update-alternatives --remove uvi /bin/vim-minimal
for i in view ex rvi rview rvim; do
    update-alternatives --remove $i /bin/$i || :
done

%post enhanced
update-alternatives --install /bin/vi vi /usr/bin/vim-enhanced 20 \
    --slave /bin/view view /usr/bin/vim-enhanced \
    --slave /bin/ex ex /usr/bin/vim-enhanced \
    --slave /bin/rvi rvi /usr/bin/vim-enhanced \
    --slave /bin/rview rview /usr/bin/vim-enhanced
update-alternatives --install /bin/vim vim /usr/bin/vim-enhanced 20 \
    --slave /bin/rvim rvim /usr/bin/vim-enhanced

%postun enhanced
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /usr/bin/vim-enhanced
update-alternatives --remove vim /usr/bin/vim-enhanced

%triggerpostun enhanced -- vim-enhanced < 7.3
update-alternatives --remove uvi /usr/bin/vim-enhanced

%files common -f vim.lang
%doc README*.txt runtime/termcap
#%doc --parents mandriva/README*
%doc doc
%{_datadir}/vim/doc
%dir %{_datadir}/vim/
%{_datadir}/vim/[^g]*
%{_datadir}/vim/gvimrc_example.vim
%{_mandir}/man1/vim.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/vi.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/rvi.1*
%{_mandir}/man1/rview.1*
%{_mandir}/man1/vimdiff.1*
%{_mandir}/man1/vimtutor.1*
%{_mandir}/man1/rvim.1*
%{_mandir}/*/man*/*
%lang(fr) %{_mandir}/fr*/man*/*
%lang(it) %{_mandir}/it*/man*/*
%lang(pl) %{_mandir}/pl*/man*/*
%lang(ru) %{_mandir}/ru*/man*/*
%{_bindir}/vimtutor
%{_bindir}/xxd
%{_mandir}/man1/xxd.1*
%{_sysconfdir}/vim/
%config(noreplace) %{_sysconfdir}/vim/*

%files minimal
%doc README*.txt
/bin/vim-minimal

%files enhanced
%doc README*.txt
%{_bindir}/ex
%{_bindir}/vimdiff
%{_bindir}/vim-enhanced

%if %{buildgui}
%files X11
%doc README*.txt
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/vimx
%{_mandir}/man1/gvim.1*
%{_iconsdir}/hicolor/*/apps/gvim.*
%{_datadir}/applications/%{name}-X11.desktop
%{_datadir}/vim/gvimrc
%endif


%changelog

* Sun Mar 17 2013 tv <tv> 7.3.762-5.mga3
+ Revision: 403552
- rebuild for new perl

* Fri Feb 08 2013 luigiwalser <luigiwalser> 7.3.762-4.mga3
+ Revision: 397203
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 7.3.762-3.mga3
+ Revision: 385415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 tv <tv> 7.3.762-2.mga3
+ Revision: 334991
- new release

* Thu Nov 15 2012 tv <tv> 7.3.715-2.mga3
+ Revision: 318242
- new release

* Mon Nov 05 2012 tv <tv> 7.3.712-2.mga3
+ Revision: 314459
- rebuild for new perl

* Thu Nov 01 2012 tv <tv> 7.3.712-1.mga3
+ Revision: 312018
- new release

* Thu Nov 01 2012 fwang <fwang> 7.3.659-3.mga3
+ Revision: 311991
- rebuild for new ruby

  + dams <dams>
    - add a new icon to fix ugly rendering in GNOME3
    - clean specfile

* Mon Sep 10 2012 tv <tv> 7.3.659-2.mga3
+ Revision: 291565
- rebuild for new libruby

* Sun Sep 09 2012 tv <tv> 7.3.659-1.mga3
+ Revision: 291312
- new release

* Sun Sep 09 2012 tv <tv> 7.3.646-2.mga3
+ Revision: 291302
- rebuild for new libruby

* Wed Aug 29 2012 tv <tv> 7.3.646-1.mga3
+ Revision: 285538
- new release

* Thu Aug 23 2012 jquelin <jquelin> 7.3.629-3.mga3
+ Revision: 283287
- perl 5.16.1 rebuild

* Thu Aug 09 2012 tv <tv> 7.3.629-2.mga3
+ Revision: 280106
- new release

* Sat Jul 28 2012 tv <tv> 7.3.617-2.mga3
+ Revision: 275398
- new release

* Mon Jul 23 2012 tv <tv> 7.3.608-2.mga3
+ Revision: 273765
- new release

* Thu May 31 2012 blino <blino> 7.3.531-2.mga3
+ Revision: 251907
- fix build with latest perl (from upstream hg revision 7613c9ab083f)

  + tv <tv>
    - new release
    - rebuild for new perl

  + jquelin <jquelin>
    - perl 5.16 rebuild

* Tue Mar 20 2012 guillomovitch <guillomovitch> 7.3.444-2.mga2
+ Revision: 225129
- fix missing ruby support

* Thu Feb 16 2012 tv <tv> 7.3.444-1.mga2
+ Revision: 209696
- new release

* Wed Feb 08 2012 tv <tv> 7.3.434-1.mga2
+ Revision: 206562
- new release

* Mon Jan 30 2012 tv <tv> 7.3.421-1.mga2
+ Revision: 203137
- new release

* Mon Jan 23 2012 tv <tv> 7.3.409-1.mga2
+ Revision: 200158
- new release

* Tue Dec 13 2011 tv <tv> 7.3.372-1.mga2
+ Revision: 181135
- new release

* Sun Nov 27 2011 tv <tv> 7.3.353-1.mga2
+ Revision: 172576
- new release

* Fri Oct 14 2011 jquelin <jquelin> 7.3.322-2.mga2
+ Revision: 155105
- perl 5.14.2 rebuild

* Thu Sep 22 2011 tv <tv> 7.3.322-1.mga2
+ Revision: 146851
- new release
- drop patch 1000 (obsolete since 7.3.315)
- new release
- drop patch 1000 (obsolete since 7.3.315)

* Thu Sep 15 2011 tv <tv> 7.3.315-1.mga2
+ Revision: 143859
- new release

* Wed Sep 07 2011 tv <tv> 7.3.294-1.mga2
+ Revision: 140199
- new release
- new release
- official patch level 280
- new release
- new release
- new release

  + fwang <fwang>
    - fix desktop file

* Sun Jul 03 2011 fwang <fwang> 7.3.237-2.mga2
+ Revision: 117535
- rebuild for new tcl

* Wed Jun 29 2011 tv <tv> 7.3.237-1.mga2
+ Revision: 116127
- new release

* Sun Jun 19 2011 jquelin <jquelin> 7.3.219-4.mga2
+ Revision: 109898
- perl 5.14.1 rebuild

* Sun Jun 19 2011 tmb <tmb> 7.3.219-3.mga2
+ Revision: 109852
- rebuild for perl-5.14.1

* Tue Jun 14 2011 tv <tv> 7.3.219-2.mga2
+ Revision: 106057
- official patch level 219

* Sat Jun 11 2011 jquelin <jquelin> 7.3.154-2.mga2
+ Revision: 103441
- perl 5.14 rebuild

* Tue Apr 05 2011 tv <tv> 7.3.154-1.mga1
+ Revision: 80914
- reset release
- official patch level 154
- rediff xxd-locale.patch
- drop patches 11 (unused) & 29 (useless)

* Thu Feb 17 2011 jquelin <jquelin> 7.3.107-8.mga1
+ Revision: 52902
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 7.3.107-7.mga1
+ Revision: 52701
- perl 5.12.3 rebuild

* Tue Feb 01 2011 dmorgan <dmorgan> 7.3.107-6.mga1
+ Revision: 45703
- Update Vim patch level

* Mon Jan 24 2011 pterjan <pterjan> 7.3.003-5.mga1
+ Revision: 37374
- Rebuild for new perl

* Mon Jan 17 2011 pterjan <pterjan> 7.3.003-4.mga1
+ Revision: 21350
- Rebuild for python 2.7

* Fri Jan 14 2011 dmorgan <dmorgan> 7.3.003-3.mga1
+ Revision: 18008
- Fix file list

  + ahmad <ahmad>
    - clean spec
    - drop old/unneeded macros
    - drop old/unneeded conflicts
    - rename README.mdv to README.mga and edit it to replace Mandriva with Mageia
    - rename the .desktop file to mageia-*
    - imported package vim

